Package com.io7m.cardant.shell.internal

# Class CATypeMatchConverter

java.lang.Object
com.io7m.cardant.shell.internal.CATypeMatchConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>`

public final class CATypeMatchConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>
A value converter for type match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeMatchConverter(CAStrings inStrings)`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<CATypeMatchType>`
  `convertedClass()`
  `CATypeMatchType`
  `convertFromString(String text)`
  `String`
  `convertToString(CATypeMatchType value)`
  `CATypeMatchType`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CATypeMatchConverter

    public CATypeMatchConverter(CAStrings inStrings)
    Construct a converter.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### convertFromString

    public CATypeMatchType convertFromString(String text) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### convertToString

    public String convertToString(CATypeMatchType value) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### exampleValue

    public CATypeMatchType exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>`

  - ### convertedClass

    public Class<CATypeMatchType> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeMatchType>`